### Name: Expected value and variance
### Title: Expected value and variance-covariance of generalized hyperbolic
###   distributions
### Aliases: mean.ghypbase mean-methods mean,ghypbase-method vcov.ghypbase
###   vcov-methods vcov,ghypbase-method
### Keywords: methods

### ** Examples

  ## Univariate: Parametric 
  vg.dist <- VG(lambda=1.10,mu=10,sigma=10,gamma=2)
  mean(vg.dist)
  vcov(vg.dist)
  ## Univariate: Empirical                                                 
  vg.sim <- rghyp(10000,vg.dist)
  mean(vg.sim)
  var(vg.sim)

  ## Multivariate: Parametric 
  vg.dist <- VG(lambda=.10,mu=c(55,33),sigma=diag(c(22,888)),gamma=1:2)
  mean(vg.dist)
  vcov(vg.dist)
  ## Multivariate: Empirical                                                 
  vg.sim <- rghyp(10000,vg.dist)
  colMeans(vg.sim)
  var(vg.sim)  



